# gameboy

Gamer Ruby Client

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'gameboy'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install gameboy

## Usage

```ruby
  # Get upcoming achievements for user
  gameboy.api_key = "YOUR_API_KEY"
  gameboy.upcoming_achievements_for_user(1)

  # Get one user stats
  gameboy.user(1)

  # Get multiple users stats
  gameboy.users([1,2], page: 1)

```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release` to create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

1. Fork it ( https://github.com/[my-github-username]/gameboy/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
